<?php session_start();
date_default_timezone_set('America/Bogota');
//RESTRICCIN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']='';
menu();

//Obtengo la fecha desde que inicia el periodo
$fecha_inicio_periodo=$row['desde'];
$fecha_fin_periodo=$row['hasta'];
?>
<head>
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>
	<link rel="stylesheet" href="../css/timepicker.min.css">
	<script src="js/timepicker.min.js"></script>
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script src='js/bootstrap.min.js'></script>
</head>
<?php

function api_list_DownloadFolder(){
	$curl = curl_init();
	curl_setopt_array($curl, array(
	CURLOPT_URL => 'https://sadehub-sappayrollapi-test.apps.pd01e.edc1.cf.ford.com/api/v1/files/bycountry/country=VEN/list',
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_ENCODING => '',
	CURLOPT_MAXREDIRS => 10,
	CURLOPT_TIMEOUT => 0,
	CURLOPT_FOLLOWLOCATION => true,
	CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	CURLOPT_CUSTOMREQUEST => 'GET',
	CURLOPT_HTTPHEADER => array(
		'Authorization: Basic NDc0NjY5YjAtMzg0NS00ZGNjLWI2YWYtMzQzY2UyMGM5NWQ1OmN1Sk13dXRsVjh6NmxnTWRHYXl1Rmg3M3R4REJGdDcvckI2YTVwU1YySEk9'
	),
	));

	$response = curl_exec($curl);
	curl_close($curl);
	$result_api = json_decode($response,true);
	return $resultados = [
			'datos-api' => $result_api
		];

}

function api_view_DownloadFolder($filename){
	$curl = curl_init();
	curl_setopt_array($curl, array(
	  CURLOPT_URL => 'https://sadehub-sappayrollapi-test.apps.pd01e.edc1.cf.ford.com/api/v1/files/bycountry/country=VEN/download/fileName='.$filename,
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'GET',
	  CURLOPT_HTTPHEADER => array(
	    'Authorization: Basic NDc0NjY5YjAtMzg0NS00ZGNjLWI2YWYtMzQzY2UyMGM5NWQ1OmN1Sk13dXRsVjh6NmxnTWRHYXl1Rmg3M3R4REJGdDcvckI2YTVwU1YySEk9'
	  ),
	));
	$response = curl_exec($curl);
	curl_close($curl);
	$result_api = json_decode($response,true);
	return $resultados = [
			'datos-api' => $result_api
		];
}

//Construyo array de empleados existentes en Dynamics
echo "<b>API List Download Folder</b><br><br>";
$result_get_api = api_list_DownloadFolder();
$cant_get_api=count($result_get_api['datos-api']['result']);
echo "Cantidad de archivos: ".$cant_get_api."<br>";
foreach($result_get_api['datos-api']['result'] as $log) {
	echo "<b>Nombre de archivo: ".$log['file']['fileName']."</b><br>";
	echo "URL de archivo: ".$log['file']['fileUri']."<br>";
	echo "Fecha de modificado: ".$log['file']['dateModified']."<br>";

	$download_api = api_view_DownloadFolder($log['file']['fileName']);
	foreach($download_api['datos-api']['result'] as $log_download) {
		echo "Contenido del archivo codificado base64: ".$log_download['file']."<br>";
		echo "Contenido del archivo decodificado base64: ".base64_decode($log_download['file'])."<br>";
	}
}
?>


</body>
</html>
